#!/usr/bin/env python
from segy import Segy
import sqlite
import os

if __name__ == "__main__":
	dbName = 'bpsegy.db'
	if os.access(dbName,os.W_OK):
            os.remove(dbName)
	cx = sqlite.connect(dbName)
	cu = cx.cursor()
	
	xstar = Segy('bpsio01L00.xstar')

	#
	# CREATE the database tables
	#
	cu.execute(xstar.header.sqlCreate())
	if True:
	    t = xstar.getTraceHdr(1)
	    cu.execute(t.sqlCreate())
	cx.commit()

	#
	# POPULATE the tables
	#
	cu.execute(xstar.header.sqlInsert())
	for i in range(1,xstar.getNumberOfTraces()):
	    t = xstar.getTraceHdr(i)

	    if 0==i%500:
		    x = t.getHeader('X')/3600.
		    y = t.getHeader('Y')/3600.
		    print i,':   ',x,y
	
	    cu.execute(t.sqlInsert(traceNumber=i))
	cx.commit()	# Flush this to the db!

	
